Skip to content

List all data connectors

Request

Returns a paginated list of all data connectors for the workspace, ordered by most recently updated first. Data connectors allow workflows and AI agents to make HTTP requests to external APIs.

Security
bearerAuth
Query
per_pageinteger, [ 1 .. 50 ]

The number of results to return per page. Defaults to 20, minimum 1, maximum 50.

Default:20
starting_afterstring

The cursor value from pages.next.starting_after in a previous response. Used to paginate through results.

Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
curl -i -X GET \
  'https://api.intercom.io/data_connectors?per_page=20&starting_after=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.16'

Responses

successful

Bodyapplication/json
typestring

The type of object - list.

Value:"list"
Example:"list"
dataArray of objects(Data Connector)

An array of data connector objects.

pagesobject

Pagination information.

Response
{ "type": "list", "data": [ {} ], "pages": { "type": "pages", "per_page": 20, "next": {} } }